<div class="col-md-4" [@fadeIn]>
    <h2>Login</h2>

    <div class="alert" [class.alert-success]="ok" [class.alert-danger]="!ok" *ngIf="msg">
        {{ msg }}
    </div>

    <form #registerForm="ngForm" (ngSubmit)="onSubmit(registerForm)">
        <div class="form-group">
            <label>Firstname</label>
            <input type="text" class="form-control" name="name" #name="ngModel" [(ngModel)]="user.name" required >
            <small class="form-text text-danger" *ngIf="!name.valid && name.touched">The name is required</small>
        </div>

        <div class="form-group">
            <label>Lastname</label>
            <input type="text" class="form-control" name="surname" #surname="ngModel" [(ngModel)]="user.surname" required >
            <small class="form-text text-danger" *ngIf="!surname.valid && surname.touched">The surname is required</small>
        </div>

        <div class="form-group">
            <label>Email address</label>
            <input type="email" class="form-control" name="email" #email="ngModel" [(ngModel)]="user.email" required >
            <small class="form-text text-danger" *ngIf="!email.valid && email.touched">The eail is required</small>
        </div>

        <div class="form-group">
            <label> Password</label>
            <input type="password" class="form-control" name="password"  #password="ngModel" [(ngModel)]="user.password" required >
            <small class="form-text text-danger" *ngIf="!password.valid && password.touched">The password is required</small>
        </div>

        <button type="submit" class="btn btn-primary" [disabled]="!registerForm.form.valid">Submit</button>
    </form>

</div>
